package com.persagy.dmp.codetable.entity;

import cn.hutool.core.util.BooleanUtil;
import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 码表类型
 * 业务上数据字典已表示对象类型+信息点，因此此处改用码表命名以区分
 * @author Charlie Yu
 * @date 2021-07-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_code_type", autoResultMap = true)
public class CodeTableType extends AuditableEntity {

    /** 集团编码 */
    private String groupCode;
    /** 项目ID */
    private String projectId;
    /** 码表类型编码 */
    private String code;
    /** 码表类型名称 */
    private String name;
    /** 扩展属性 */
    private String extras;
    /** 树型标识 */
    private Boolean treeFlag;
    /** 显示顺序 */
    private Integer showOrder;
    /** 备注 */
    private String remark;

    /**
     * 是否树结构
     * @return
     */
    public boolean isTree() {
        return BooleanUtil.isTrue(treeFlag);
    }
}
