package com.persagy.dmp.dic.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 字典数据
 * @author linhuili
 * @since 2021/06/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dic_dt_data", autoResultMap = true)
public class DictData extends AuditableEntity {
	/** 字典类型ID */

	private String dictTypeId;

	/** 父节点 */
	private String parentId;

	/** 字典类型 */
	@NotNull(message = "字典类型不允许为空")
	@Length(max = 40)
	private String type;

	/** 字典数据编码 */
	@NotNull(message = "字典数据编码不允许为空")
	@Length(max = 40)
	private String code;

	/** 字典数据标签 */
	@NotNull(message = "字典数据标签不允许为空")
	@Length(max = 200)
	private String label;

	/** 状态 0：停用，1：正常 */
	//private String status;

	/**  备注 */
	private String remark;

	/**  排序字段 */
	private Integer orderNum;

}
