package com.persagy.dmp.dic.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 字典类型
 * @author linhuili
 * @since 2021/06/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dic_dt_type", autoResultMap = true)
public class DictType extends AuditableEntity {

    private static final long serialVersionUID = 1L;

    /** 集团编码 */
    private String groupCode;

    /** 字典类型 */
    @NotNull(message = "字典类型不允许为空")
    @Length(max = 40)
    private String type;

    /** 字典类型名称 */
    @NotNull(message = "字典类型名称不允许为空")
    @Length(max = 200)
    private String name;

    /** 描述 */
    private String description;

    /** 备注 */
    private String remark;
}
