package com.persagy.dmp.dic.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.dic.entity.DictData;
import com.persagy.dmp.dic.entity.DictData;
import com.persagy.dmp.dic.entity.DictType;

import java.util.List;

/**
 * 字典数据
 * @author:linhuili
 * @date:2021/6/10
 */
public interface DictDataService {

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<DictData> queryWrapper);


    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<DictData> queryByCondition(Wrapper<DictData> queryWrapper);

    /**
     * 新增
     * @param vo 待新增数据
     * @return 新增后数据
     */
    DictData insert(DictData vo);

    /**
     * 修改
     * @param vo 待修改数据
     * @return 修改后数据
     */
    DictData update(DictData vo);

    /**
     * 删除
     * @param vo 主键
     */
    void delete(DictData vo);

    /**
     * 返回映射表替代字典数据的数据集
     * @param dictType
     * @return
     */
    List<DictData> queryData(DictType dictType);
}
