package com.persagy.dmp.rwd.version.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.lang.PsDateTime;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 版本定义
 * @author Charlie Yu
 * @date 2021-06-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("dt_define_version")
public class VersionDefine extends AuditableEntity {

    /** 版本号 */
    private String version;
    /** 版本状态：@see VersionState */
    private String state;
    /** 最新标识 */
    private Boolean lastFlag;
    /** 上一版本号 */
    private String lastVersion;
    /** 显示顺序 */
    private Integer showOrder;
    /** 确认人 */
    private String confirmUser;
    /** 确认时间 */
    private PsDateTime confirmTime;
    /** 发布人 */
    private String publishUser;
    /** 发布时间 */
    private PsDateTime publishTime;
    /** 完成时间 */
    private PsDateTime finishTime;
}
