package com.persagy.dmp.rwd.basic.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Set;

/***
 * @Description: 统一的请求体封装对象
 * @author: lijie
 * @Date:2020/7/9 10:35
 * Update By lijie 2020/7/9 10:35
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RequestData {

    /**账号id*/
    @JsonAlias({"user_id"})
    @JsonProperty("userId")
    @JSONField(name = "userId",alternateNames = {"user_id"})
    private String userId;
    /**管理分区id*/
    @JsonAlias({"group_manage_zone_ids"})
    @JsonProperty("groupManageZoneIds")
    @JSONField(name = "groupManageZoneIds",alternateNames = {"group_manage_zone_ids"})
    private Set<String> groupManageZoneIds;
    /** 分页页码,从 1 开始 */
    @JsonAlias({"page"})
    @JsonProperty("page")
    @JSONField(name = "page",alternateNames = {"page"})
    private Long page;
    /** 每页行数 */
    @JsonAlias({"page_size","size","pageSize"})
    @JsonProperty("size")
    @JSONField(name = "size",alternateNames = {"page_size","size","pageSize"})
    private Long size;
    /** 筛选关键字,本地名称筛选 */
    @JsonAlias({"keyword"})
    @JsonProperty("keyword")
    @JSONField(name = "keyword",alternateNames = {"keyword"})
    private String keyword;
    /** 是否只统计总数 */
    @JsonAlias({"only_count","onlyCount"})
    @JsonProperty("onlyCount")
    @JSONField(name = "onlyCount",alternateNames = {"only_count","onlyCount"})
    private boolean onlyCount = false;
    /** 创建时间筛选范围 */
    @JsonAlias({"ctime","createTimeScope"})
    @JsonProperty("createTimeScope")
    @JSONField(name = "createTimeScope",alternateNames = {"ctime","createTimeScope"})
    private TimeScope createTimeScope;
    /** 返回信息点过滤,仅过滤infos内的信息点,基础信息点不过滤 */
    @JsonAlias({"return_infos","returnInfos"})
    @JsonProperty("returnInfos")
    @JSONField(name = "returnInfos",alternateNames = {"return_infos","returnInfos"})
    private Set<String> returnInfos;
    /** 查询有效数据,true,false */
    @JsonAlias({"valid_set","validSet"})
    @JsonProperty("validSet")
    @JSONField(name = "validSet",alternateNames = {"valid_set","validSet"})
    private Set<Integer> validSet;
    /** 项目id */
    @JsonAlias({"project_id","projectId"})
    @JsonProperty("projectId")
    @JSONField(name = "projectId",alternateNames = {"project_id","projectId"})
    private String projectId;
    /** 建筑id */
    @JsonAlias({"building_id","buildingId"})
    @JsonProperty("buildingId")
    @JSONField(name = "buildingId",alternateNames = {"building_id","buildingId"})
    private String buildingId;
    /** 楼层id */
    @JsonAlias({"floor_id","floorId"})
    @JsonProperty("floorId")
    @JSONField(name = "floorId",alternateNames = {"floor_id","floorId"})
    private String floorId;
    /** 设备id */
    @JsonAlias({"equipment_id","equipmentId"})
    @JsonProperty("equipmentId")
    @JSONField(name = "equipmentId",alternateNames = {"equipment_id","equipmentId"})
    private String equipmentId;
    /** 对象类型数组 */
    @JsonAlias({"class_codes","classCodes"})
    @JsonProperty("classCodes")
    @JSONField(name = "classCodes",alternateNames = {"class_codes","classCodes"})
    private Set<String> classCodes;
    /** 对象分类数组 */
    @JsonAlias({"obj_types","objTypes"})
    @JsonProperty("objTypes")
    @JSONField(name = "objTypes",alternateNames = {"obj_types","objTypes"})
    private Set<String> objTypes;
    /** 跳跃条数 */
    @JsonAlias({"skip"})
    @JsonProperty("skip")
    @JSONField(name = "skip",alternateNames = {"skip"})
    private Long skip;
    /** 关系code数组 */
    @JsonAlias({"relCodes","rel_codes"})
    @JsonProperty("relCodes")
    @JSONField(name = "relCodes",alternateNames = {"relCodes","rel_codes"})
    private Set<String> relCodes;
    /** 查询部件标记,true-查询,false-不查询 */
    @JsonAlias({"queryEcFlag","query_ec_flag"})
    @JsonProperty("queryEcFlag")
    @JSONField(name = "queryEcFlag",alternateNames = {"queryEcFlag","query_ec_flag"})
    private Boolean queryEcFlag=false;
    /** 部件关系码 */
    @JsonAlias({"ecRelCodes","ec_rel_codes"})
    @JsonProperty("ecRelCodes")
    @JSONField(name = "ecRelCodes",alternateNames = {"ecRelCodes","ec_rel_codes"})
    private Set<String> ecRelCodes;
    /** 过滤的对象id */
    @JsonAlias({"filterObjId","filter_obj_id"})
    @JsonProperty("filterObjId")
    @JSONField(name = "filterObjId",alternateNames = {"filterObjId","filter_obj_id"})
    private String filterObjId;

}
