package com.persagy.dmp.rwd.digital.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.basic.dto.RequestData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 对象数据 DAO
 * @author Charlie Yu
 * @date 2021-07-08
 */
public interface ObjectDigitalMapper extends BaseMapper<ObjectDigital> {
    /***
     * Description: 根据项目id查询对象列表
     * @param requestData : 请求参数
     * @param skip
     * @param size
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.digital.entity.ObjectDigital>>
     * @author : lijie
     * @date :2021/8/24 16:40
     * Update By lijie 2021/8/24 16:40
     */
    List<List<ObjectDigital>> queryObjectDigitalsByProjectId(@Param("param") RequestData requestData,@Param("skip") Long skip,@Param("size") Long size);
    /***
     * Description: 根据上级id查询对象列表
     * @param requestData : 请求参数
     * @return : java.util.List<java.util.List<com.persagy.dmp.digital.entity.ObjectDigital>>
     * @author : lijie
     * @date :2021/8/25 9:49
     * Update By lijie 2021/8/25 9:49
     */
    List<List<ObjectDigital>> queryObjectListBySuperiorId(@Param("param") RequestData requestData);
}
