package com.persagy.dmp.rwd.digital.service;

import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.digital.entity.ObjectDigital;
import com.persagy.dmp.rwd.basic.dto.RequestData;

import java.util.List;
import java.util.Set;

/***
 * Description: 项目业务逻辑处理接口
 * @author : lijie
 * @date :2021/8/18 16:15
 * Update By lijie 2021/8/18 16:15
 */
public interface ProjectBusinessService {

    /***
     * Description: 根据项目id查询项目信息
     * @param projectIds : 项目id集合
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.rwd.digital.entity.ObjectDigital>>
     * @author : lijie
     * @date :2021/8/18 15:56
     * Update By lijie 2021/8/18 15:56
     */
    CommonResult<List<ObjectDigital>> batchQueryProjectByIds(List<String> projectIds);
    /***
     * Description: 根据管理分区id批量查询项目信息
     * @param groupManageZoneIds : 管理分区id集合
     * @return : com.persagy.dmp.common.model.response.CommonResult<java.util.List<com.persagy.dmp.rwd.digital.entity.ObjectDigital>>  
     * @author : lijie
     * @date :2021/8/19 14:09
     * Update By lijie 2021/8/19 14:09
     */
    CommonResult<List<ObjectDigital>> batchQueryProjectByGroupManageZoneIds(Set<String> groupManageZoneIds);
}
