package com.persagy.dmp.common.model.data;

import lombok.Data;

/**
 * 区间数据
 * @param <T> 数据泛型
 * @author Charlie Yu
 * @date 2021-07-12
 */
@Data
public class RegionValue<T extends Comparable> {

    /** 开始位置 */
    private T start;
    /** 结束位置 */
    private T end;
    /** 是否包含开始值 */
    private boolean containStart;
    /** 是否包含结束值 */
    private boolean containEnd;

    /**
     * 是否为空区间
     * @return
     */
    public boolean isEmpty() {
        return start == null && end == null;
    }
}
