package com.persagy.dmp.basic.model;

import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Data;

/**
 * 数据字典 维护消息体
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
public class DigitalManageMessage {

    /** 操作类型 */
    private String operatorType;
    /** 操作实体 */
    private String operatorObj;
    /** 原数据 */
    private ObjectNode oldObj;
    /** 现数据 */
    private ObjectNode newObj;

    public DigitalManageMessage(){
        super();
    }

    public DigitalManageMessage(String operatorType, String operatorObj, ObjectNode oldObj, ObjectNode newObj) {
        this.operatorType = operatorType;
        this.operatorObj = operatorObj;
        this.oldObj = oldObj;
        this.newObj = newObj;
    }
}
