package com.persagy.dmp.define.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 对象类型定义
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_define_type", autoResultMap = true)
public class ObjectTypeDefine extends AuditableEntity {
    /** 编码 */
    @NotNull(message = "编码不允许为空")
    @Length(max = 40)
    private String code;
    /** 名称 */
    @NotNull(message = "名称不允许为空")
    @Length(max = 200)
    private String name;
    /** 别名编码 */
    @NotNull(message = "别名编码不允许为空")
    @Length(max = 40)
    private String aliasCode;
    /** 别名名称 */
    @NotNull(message = "别名名称不允许为空")
    @Length(max = 200)
    private String aliasName;
    /** 大类:project-项目, building-建筑, floor-楼层, space-空间,
     * system-系统, equipment-设备, shaft-竖井, component-部件,
     * virtual-虚拟, tool-工具, material-耗材
     **/
    @NotNull
    private String objType;
    //** 管理层级:common-平台级,group-集团级,project-项目级 */
    //private String type;
    /** 项目ID */
    private String projectId;
    /** 集团编码 */
    private String groupCode;
    /** 专业编码:上级类型是系统/设备时该字段有值 */
    private String majorCode;
    /** 系统编码:上级类型是设备时该字段有值,值为系统类型的code */
    private String systemCode;
    /** 设备编码:上级类型是部件时该字段有值,值为设备类型的code */
    private String equipmentCode;
    /** 上级类型编码 */
    private String parentCode;
    /** 版本 */
    private String version;
}
