package com.persagy.dmp.digital.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * 对象数据
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "dt_relation", autoResultMap = true)
public class ObjectRelation extends AuditableEntity {
    /** 项目ID */
    private String projectId;
    /** 集团编码 */
    private String groupCode;
    /** 图例ID */
    @Length(max = 40)
    private String graphId;
    /** 图例编码 */
    @NotNull(message = "图例编码不允许为空")
    @Length(max = 40)
    private String graphCode;
    /** 关系编码 */
    @NotNull(message = "关系编码不允许为空")
    @Length(max = 40)
    private String relCode;
    /** 关系值 */
    private String relValue;
    /** 来源对象 */
    private String objFrom;
    /** 目标对象 */
    private String objTo;
    /** 创建应用 */
    private String createApp;
    /** 最后修改应用 */
    private String updateApp;
}
